Welcome to the forums. Please post in English or French.

You are not logged in.

#1 2016-05-14 07:48:28

jeanpierreaubry
Guru
From: nantes (france)
Registered: 2009-03-12
Posts: 3,616

[SOLVED]error on installing mumps in DEV

hello

i have tried to install mumps in DEV version as specified here
https://bitbucket.org/code_aster/mumps

what am i doing wrong?

here is what i did

mkdir -p $HOME/dev/aster-prerequisites && cd $HOME/dev/aster-prerequisites
hg clone https://bitbucket.org/code_aster/mumps
cd mumps
hg update for_aster

./waf configure

with the alarm

Checking for library metis               : not found
Checking for header scotch.h             : no

then

./waf install

with the error

Build failed
Traceback (most recent call last):
  File "/home/dedalus/dev/aster-prerequisites/mumps/.waf-1.6.10-755c93f62b278271b0d6e40f7fe4574b/waflib/Task.py", line 125, in process
    ret=self.run()
  File "/home/dedalus/dev/aster-prerequisites/mumps/.waf-1.6.10-755c93f62b278271b0d6e40f7fe4574b/waflib/Task.py", line 49, in run
    return m1(self)
  File "/home/dedalus/dev/aster-prerequisites/mumps/.waf-1.6.10-755c93f62b278271b0d6e40f7fe4574b/waflib/Build.py", line 443, in run
    return self.generator.exec_task()
  File "/home/dedalus/dev/aster-prerequisites/mumps/.waf-1.6.10-755c93f62b278271b0d6e40f7fe4574b/waflib/Build.py", line 460, in exec_install_files
    self.generator.bld.do_install(y.abspath(),destfile,self.chmod)
  File "/home/dedalus/dev/aster-prerequisites/mumps/.waf-1.6.10-755c93f62b278271b0d6e40f7fe4574b/waflib/Build.py", line 505, in do_install
    raise Errors.WafError('Could not install the file %r'%tgt)
WafError: Could not install the file '/usr/local/include/cmumps_c.h'

Traceback (most recent call last):
  File "/home/dedalus/dev/aster-prerequisites/mumps/.waf-1.6.10-755c93f62b278271b0d6e40f7fe4574b/waflib/Task.py", line 125, in process
    ret=self.run()
  File "/home/dedalus/dev/aster-prerequisites/mumps/.waf-1.6.10-755c93f62b278271b0d6e40f7fe4574b/waflib/Task.py", line 49, in run
    return m1(self)
  File "/home/dedalus/dev/aster-prerequisites/mumps/.waf-1.6.10-755c93f62b278271b0d6e40f7fe4574b/waflib/Build.py", line 443, in run
    return self.generator.exec_task()
  File "/home/dedalus/dev/aster-prerequisites/mumps/.waf-1.6.10-755c93f62b278271b0d6e40f7fe4574b/waflib/Build.py", line 460, in exec_install_files
    self.generator.bld.do_install(y.abspath(),destfile,self.chmod)
  File "/home/dedalus/dev/aster-prerequisites/mumps/.waf-1.6.10-755c93f62b278271b0d6e40f7fe4574b/waflib/Build.py", line 478, in do_install
    Utils.check_dir(d)
  File "/home/dedalus/dev/aster-prerequisites/mumps/.waf-1.6.10-755c93f62b278271b0d6e40f7fe4574b/waflib/Utils.py", line 201, in check_dir
    raise Errors.WafError('Cannot create the folder %r'%path,ex=e)
WafError: Cannot create the folder '/usr/local/include_seq'

jean pierre aubry

Last edited by jeanpierreaubry (2016-05-23 08:34:37)

Offline

#2 2016-05-17 14:41:30

mathieu.courtois
Administrator
From: France
Registered: 2007-11-21
Posts: 1,167

Re: [SOLVED]error on installing mumps in DEV

Hello

These error messages just show that you have not the write permission into `/usr/local`.

Do you install metis version 5 ?
If not, have a look at https://bitbucket.org/code_aster/codeas … requisites

Then there https://bitbucket.org/code_aster/metis to install the new version.

After that you have to reinstall mumps based on this new version of metis.

MC


Code_Aster release : last unstable on Ubuntu 16.04 64 bits - GNU Compilers

Please do not forget to tag your first post as *SOLVED* when it is!

Offline

#3 2016-05-17 15:37:40

jeanpierreaubry
Guru
From: nantes (france)
Registered: 2009-03-12
Posts: 3,616

Re: [SOLVED]error on installing mumps in DEV

hello

thanks Mathieu

however
do not understand why  metis or mumps should be in /usr/local
as my installation is done in opt/aster*

jean pierre aubry

Offline

#4 2016-05-17 15:44:22

mathieu.courtois
Administrator
From: France
Registered: 2007-11-21
Posts: 1,167

Re: [SOLVED]error on installing mumps in DEV

/usr/local is often the default installation directory.

For metis, you should do something like: make config prefix=/opt/aster/public/metis-5.1.0...

For mumps: waf configure --prefix=....

Look at https://bitbucket.org/code_aster/metis & https://bitbucket.org/code_aster/mumps

MC


Code_Aster release : last unstable on Ubuntu 16.04 64 bits - GNU Compilers

Please do not forget to tag your first post as *SOLVED* when it is!

Offline

#5 2016-05-17 16:10:58

jeanpierreaubry
Guru
From: nantes (france)
Registered: 2009-03-12
Posts: 3,616

Re: [SOLVED]error on installing mumps in DEV

thanks !!!

pretty good
looks like installed ok
needs testing now

Offline

#6 2016-05-18 16:07:41

jeanpierreaubry
Guru
From: nantes (france)
Registered: 2009-03-12
Posts: 3,616

Re: [SOLVED]error on installing mumps in DEV

well despite the work done as described in the previous posts it does not work
on running the DEV version i get this error msg

! La bibliothèque "METIS" n'est pas installée dans cette version de Code_Aster.

Offline

#7 2016-05-19 16:06:29

mathieu.courtois
Administrator
From: France
Registered: 2007-11-21
Posts: 1,167

Re: [SOLVED]error on installing mumps in DEV

After installing metis & mumps you must rerun 'waf configure'. Does it find metis ? and mumps ?


Code_Aster release : last unstable on Ubuntu 16.04 64 bits - GNU Compilers

Please do not forget to tag your first post as *SOLVED* when it is!

Offline

#8 2016-05-19 16:20:57

jeanpierreaubry
Guru
From: nantes (france)
Registered: 2009-03-12
Posts: 3,616

Re: [SOLVED]error on installing mumps in DEV

thanks

i forgot that bit, but
i have this while ./waf configure

Checking metis version                   : unsupported metis version: 4.0.3

and nothing about mumps
something wrong in the config file ?

Offline

#9 2016-05-19 20:48:02

AsterO'dactyle
Administrator
Registered: 2007-11-29
Posts: 292

Re: [SOLVED]error on installing mumps in DEV

Hello,

Did you change reference repertories for libraries and include for METIS in your .py configure file ?

For instance:

    self.env.append_value('LIBPATH', [
        '/opt/aster/public/hdf5-1.8.10/lib',
        '/opt/aster/public/med-3.0.8/lib',
        '/home/asterodactyle/dev/aster-prerequisites/mumps-5.0.1/libseq',
==>       '/home/asterodactyle/dev/aster-prerequisites/metis-5.1.0/lib',
        '/home/asterodactyle/dev/aster-prerequisites/tfel-2.0.3/lib',
        '/opt/aster/public/scotch-5.1.11_esmumps/lib',
        # autotools uses lib64 on some platforms
        '/opt/aster/public/hdf5-1.8.10/lib64',
        '/opt/aster/public/med-3.0.8/lib64',
    ])

    self.env.append_value('INCLUDES', [
        '/opt/aster/public/hdf5-1.8.10/include',
        '/opt/aster/public/med-3.0.8/include',
        '/home/asterodactyle/dev/aster-prerequisites/mumps-5.0.1/include',
        '/home/asterodactyle/dev/aster-prerequisites/mumps-5.0.1/libseq',
  ==>        '/home/asterodactyle/dev/aster-prerequisites/metis-5.1.0/include',
        '/opt/aster/public/scotch-5.1.11_esmumps/include',
        '/home/asterodactyle/dev/aster-prerequisites/tfel-2.0.3/include',
    ])


Code_Asterの開発者

Offline

#10 2016-05-20 06:35:29

jeanpierreaubry
Guru
From: nantes (france)
Registered: 2009-03-12
Posts: 3,616

Re: [SOLVED]error on installing mumps in DEV

AsterO'dactyle wrote:

Hello,

Did you change reference repertories for libraries and include for METIS in your .py configure file ?

which .py file is in question here
there a few dozen of them in ~/dev/codeaster

the procedure is very unclear
i am not a developer but a user, trying his best

Offline

#11 2016-05-20 16:10:27

jeanpierreaubry
Guru
From: nantes (france)
Registered: 2009-03-12
Posts: 3,616

Re: [SOLVED]error on installing mumps in DEV

after modifying aster_full_config.py as suggested above
and a few recompile sessions i have been able to run a problem successfully

before it was raising error with metis missing
now it is working
however
the content of the successful .mes file says
Librairie MUMPS : non disponible

is that normal?

Offline